diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds trunk/target/linux/ramips/base-files/etc/board.d/01_leds
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/01_leds	2015-08-29 01:22:12.042242174 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/01_leds	2015-08-29 01:32:53.478268136 +0900
@@ -27,7 +27,8 @@
 	;;
 3g-6200nl|\
 br-6475nd|\
-mzk-w300nh2)
+mzk-w300nh2|\
+mzk-wnh)
 	set_wifi_led "$board:amber:wlan"
 	;;
 a5-v11)
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network trunk/target/linux/ramips/base-files/etc/board.d/02_network
--- trunk.ORG/target/linux/ramips/base-files/etc/board.d/02_network	2015-08-29 01:22:12.042242174 +0900
+++ trunk/target/linux/ramips/base-files/etc/board.d/02_network	2015-08-29 01:33:12.570268909 +0900
@@ -72,6 +72,7 @@
 	mt7628|\
 	mzk-750dhp|\
 	mzk-w300nh2|\
+	mzk-wnh|\
 	oy-0001|\
 	pbr-m1|\
 	sap-g3200u3|\
diff -urN trunk.ORG/target/linux/ramips/base-files/etc/diag.sh trunk/target/linux/ramips/base-files/etc/diag.sh
--- trunk.ORG/target/linux/ramips/base-files/etc/diag.sh	2015-08-29 01:22:12.042242174 +0900
+++ trunk/target/linux/ramips/base-files/etc/diag.sh	2015-08-29 01:33:32.014269696 +0900
@@ -23,6 +23,7 @@
 	fonera20n|\
 	mzk-dp150n|\
 	mzk-w300nh2|\
+	mzk-wnh|\
 	nbg-419n|\
 	pwh2004|\
 	wnce2001|\
diff -urN trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh trunk/target/linux/ramips/base-files/lib/ramips.sh
--- trunk.ORG/target/linux/ramips/base-files/lib/ramips.sh	2015-08-29 01:22:12.042242174 +0900
+++ trunk/target/linux/ramips/base-files/lib/ramips.sh	2015-08-29 01:34:28.586271986 +0900
@@ -247,6 +247,9 @@
 	*"MZK-W300NH2"*)
 		name="mzk-w300nh2"
 		;;
+	*"MZK-WNH"*)
+		name="mzk-wnh"
+		;;
 	*"NA930")
 		name="na930"
 		;;
diff -urN trunk.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh trunk/target/linux/ramips/base-files/lib/upgrade/platform.sh
--- trunk.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-08-29 01:22:12.042242174 +0900
+++ trunk/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-08-29 01:34:48.858272806 +0900
@@ -75,6 +75,7 @@
 	mr-102n|\
 	mzk-dp150n|\
 	mzk-w300nh2|\
+	mzk-wnh|\
 	nbg-419n|\
 	nw718|\
 	oy-0001|\
diff -urN trunk.ORG/target/linux/ramips/dts/MZK-WNH.dts trunk/target/linux/ramips/dts/MZK-WNH.dts
--- trunk.ORG/target/linux/ramips/dts/MZK-WNH.dts	1970-01-01 09:00:00.000000000 +0900
+++ trunk/target/linux/ramips/dts/MZK-WNH.dts	2015-08-29 01:35:59.966275684 +0900
@@ -0,0 +1,111 @@
+/dts-v1/;
+
+/include/ "rt3050.dtsi"
+
+/ {
+	compatible = "MZK-WNH", "ralink,rt3052-soc";
+	model = "Planex MZK-WNH";
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "spi", "i2c", "jtag", "rgmii", "mdio", "uartf";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	cfi@1f000000 {
+		compatible = "cfi-flash";
+		reg = <0x1f000000 0x800000>;
+		bank-width = <2>;
+		device-width = <2>;
+		#address-cells = <1>;
+		#size-cells = <1>;
+
+		partition@0 {
+			label = "u-boot";
+			reg = <0x0 0x30000>;
+			read-only;
+		};
+
+		partition@30000 {
+			label = "u-boot-env";
+			reg = <0x30000 0x10000>;
+			read-only;
+		};
+
+		factory: partition@40000 {
+			label = "factory";
+			reg = <0x40000 0x10000>;
+			read-only;
+		};
+
+		partition@3e0000 {
+			label = "cimage";
+			reg = <0x3e0000 0x20000>;
+			read-only;
+		};
+
+		partition@50000 {
+			label = "firmware";
+			reg = <0x50000 0x390000>;
+		};
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x4>;
+	};
+
+	esw@10110000 {
+		ralink,portmap = <0x2f>;
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	gpio-leds {
+		compatible = "gpio-leds";
+
+		power {
+			label = "mzk-wnh:green:power";
+			gpios = <&gpio0 9 1>;
+		};
+
+		wlan {
+			label = "mzk-wnh:amber:wlan";
+			gpios = <&gpio0 14 1>;
+		};
+
+		wps {
+			label = "mzk-wnh:amber:wps";
+			gpios = <&gpio0 11 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+
+		wps {
+			label = "wps";
+			gpios = <&gpio0 12 1>;
+			linux,code = <0x211>;
+		};
+
+		reset {
+			label = "reset";
+			gpios = <&gpio0 0 1>;
+			linux,code = <0x198>;
+		};
+
+		rt {
+			label = "rt";
+			gpios = <&gpio0 13 1>;
+			linux,code = <0x100>;
+		};
+	};
+};
diff -urN trunk.ORG/target/linux/ramips/image/Makefile trunk/target/linux/ramips/image/Makefile
--- trunk.ORG/target/linux/ramips/image/Makefile	2015-08-29 01:22:12.058242175 +0900
+++ trunk/target/linux/ramips/image/Makefile	2015-08-29 02:50:17.934456118 +0900
@@ -567,6 +567,8 @@
 
 Image/Build/Profile/MZKW300NH2=$(call BuildFirmware/Edimax/$(1),$(1),mzk-w300nh2,MZK-W300NH2,$(mzkw300nh2_mtd_size),CSYS,RN52,0x50000,0xc0000)
 
+Image/Build/Profile/MZKWNH=$(call BuildFirmware/Edimax/$(1),$(1),mzk-wnh,MZK-WNH,$(mzkwnh_mtd_size),CSYS,RN52,0x50000,0xc0000)
+
 Image/Build/Profile/NCS601W=$(call BuildFirmware/Default8M/$(1),$(1),ncs601W,NCS601W)
 
 nw718_mtd_size=3801088
@@ -739,6 +741,7 @@
 	$(call Image/Build/Profile/MPRA1,$(1))
 	$(call Image/Build/Profile/MPRA2,$(1))
 	$(call Image/Build/Profile/MZKW300NH2,$(1))
+	$(call Image/Build/Profile/MZKWNH,$(1))
 	$(call Image/Build/Profile/NBG-419N,$(1))
 	$(call Image/Build/Profile/NCS601W,$(1))
 	$(call Image/Build/Profile/NW718,$(1))
